KeyCombination.ModifierValue (JavaFX 17)

Module javafx.graphics
Package javafx.scene.input

## Enum KeyCombination.ModifierValue

- java.lang.Object
- - java.lang.Enum<KeyCombination.ModifierValue>
  - - javafx.scene.input.KeyCombination.ModifierValue

- All Implemented Interfaces:
    `Serializable`, `Comparable<KeyCombination.ModifierValue>`
  Enclosing class:
    KeyCombination

      public static enum KeyCombination.ModifierValue
      extends Enum<KeyCombination.ModifierValue>

  `ModifierValue` specifies state of modifier keys.
  Since:
    JavaFX 2.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ANY` | Constant which indicates that the modifier key can be either up or down.
    `DOWN` | Constant which indicates that the modifier key must be down.
    `UP` | Constant which indicates that the modifier key must be up.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static KeyCombination.ModifierValue` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static KeyCombination.ModifierValue[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods declared in class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods declared in class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DOWN

          public static final KeyCombination.ModifierValue DOWN

      Constant which indicates that the modifier key must be down.

    - #### UP

          public static final KeyCombination.ModifierValue UP

      Constant which indicates that the modifier key must be up.

    - #### ANY

          public static final KeyCombination.ModifierValue ANY

      Constant which indicates that the modifier key can be either up or down.

  - ### Method Detail

    - #### values

          public static KeyCombination.ModifierValue[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (KeyCombination.ModifierValue c : KeyCombination.ModifierValue.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static KeyCombination.ModifierValue valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null